Bug 496852 - firsaidkit in rescue mode does not work
firsaidkit in rescue mode does not work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firstaidkit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 09:18 EDT by Miloslav Trmač
Modified: 2010-04-06 04:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-06 04:37:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2009-04-21 09:18:15 EDT
Booting from Fedora-11-Beta-x86_64-disc1.iso in rescue mode, attempt to start firstaidkit fails with:
...
ImportError: no module named pyfirstaidkit.


There really is no /usr/lib{,64}/python2.6/site-packages/pyfirstaidkit .
Comment 1 Bug Zapper 2009-06-09 10:18:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Hedayat Vatankhah 2009-07-20 03:21:54 EDT
It also doesn't work in Final Fedora 11 releases. (netinstall iso)
Comment 3 Martin Sivák 2009-08-10 10:30:13 EDT
I was able to start diagnose routine in current rawhide nightly. Can you retest it please?
Comment 4 Miloslav Trmač 2009-08-10 13:56:29 EDT
(firstaidkit) and (firstaidkit -a) both start successfully in current rawhide.

I find it a little odd that (firstaidkit --list) does not list any plugins - is that expected?
Comment 5 Hedayat Vatankhah 2009-08-10 14:13:08 EDT
I do not have access to rawhide currently. I don't know if it is fixed there.
Comment 6 Martin Sivák 2010-04-06 04:37:15 EDT
Closing per comment #4 and my personal testing. This works in F13 and plugins are listed as well.

Note You need to log in before you can comment on or make changes to this bug.